package composite.fatturato;

import java.util.*;

public class SaponiProfumati
implements Sapone
{
	List<SaponeProfumato> prodotti = new LinkedList<SaponeProfumato>();

	public double getFatturato()
	{
		double retval = 0.0;

		ListIterator<SaponeProfumato> li = prodotti.listIterator();
		while(li.hasNext())
		{
			retval += li.next().getFatturato();
		}
		return retval;
	}

	public boolean isLeaf()
	{
		return false;
	}

	public boolean isComposite()
	{
		return !isLeaf();
	}

	public List<SaponeProfumato> getChildren()
	{
		return prodotti;
		//return (List<Fatturabile>)prodotti;
	}

	public void addChild(SaponeProfumato c)
	{
		prodotti.add(c);
	}

	public static void main(String[] argv)
	{
		SaponiProfumati sp = new SaponiProfumati();
		int i;
		for(i=0;i<argv.length;i++)
		{
			SaponeProfumato s = new PuzzaDiPrimavera();
			s.addFatturato(Double.parseDouble(argv[i]));
			sp.addChild(s);
		}

		System.out.println(sp.getFatturato());
	}
}
